DSA 2663-1: tinc security update
Posted on: 04/23/2013 09:31 AM

A tinc security update has been released for Debian

DSA 2663-1: tinc security update


- -------------------------------------------------------------------------
Debian Security Advisory DSA-2663-1 security@debian.org
http://www.debian.org/security/ Yves-Alexis Perez
April 22, 2013 http://www.debian.org/security/faq
- -------------------------------------------------------------------------

Package : tinc
Vulnerability : stack based buffer overflow
Problem type : remote
Debian-specific: no
CVE ID : CVE-2013-1428

Martin Schobert discovered a stack-based vulnerability in tinc, a virtual
private network daemon.

When packets are forwarded via TCP, packet length is not checked against
the stack buffer length. Authenticated peers could use this to crash the
tinc daemon and maybe execute arbitrary code.

Note that on Wheezy and Sid, tinc is built using hardening flags and
especially stack smashing protection, which should help protect against
arbitrary code execution.

For the stable distribution (squeeze), this problem has been fixed in
version 1.0.13-1+squeeze1.

For the testing distribution (wheezy), this problem has been fixed in
version 1.0.19-3.

For the unstable distribution (sid), this problem has been fixed in
version 1.0.19-3.

We recommend that you upgrade your tinc packages.

Further information about Debian Security Advisories, how to apply
these updates to your system and frequently asked questions can be
found at: http://www.debian.org/security/



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/dsa_2663_1_tinc_security_update.html)